# Copyright 2021 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# Scalar
- name: xnn_x8_lut_ukernel__scalar_u1
- name: xnn_x8_lut_ukernel__scalar_u2
- name: xnn_x8_lut_ukernel__scalar_u4
- name: xnn_x8_lut_ukernel__scalar_u8
- name: xnn_x8_lut_ukernel__scalar_u16
# ARM NEON
- name: xnn_x8_lut_ukernel__aarch64_neon_tbx128x4_u16
- name: xnn_x8_lut_ukernel__aarch64_neon_tbx128x4_u32
- name: xnn_x8_lut_ukernel__aarch64_neon_tbx128x4_u48
- name: xnn_x8_lut_ukernel__aarch64_neon_tbx128x4_u64
# x86 SSE
- name: xnn_x8_lut_ukernel__ssse3_u16
- name: xnn_x8_lut_ukernel__ssse3_u32
# x86 AVX
- name: xnn_x8_lut_ukernel__avx_u16
- name: xnn_x8_lut_ukernel__avx_u32
- name: xnn_x8_lut_ukernel__avx_u48
- name: xnn_x8_lut_ukernel__avx_u64
- name: xnn_x8_lut_ukernel__avx2_u32
- name: xnn_x8_lut_ukernel__avx2_u64
- name: xnn_x8_lut_ukernel__avx2_u96
- name: xnn_x8_lut_ukernel__avx2_u128
# x86 AVX512
- name: xnn_x8_lut_ukernel__avx512skx_vpshufb_u64
- name: xnn_x8_lut_ukernel__avx512skx_vpshufb_u128
- name: xnn_x8_lut_ukernel__avx512skx_vpshufb_u192
- name: xnn_x8_lut_ukernel__avx512skx_vpshufb_u256
- name: xnn_x8_lut_ukernel__avx512vbmi_vpermx2b_u64
- name: xnn_x8_lut_ukernel__avx512vbmi_vpermx2b_u128
- name: xnn_x8_lut_ukernel__avx512vbmi_vpermx2b_u192
- name: xnn_x8_lut_ukernel__avx512vbmi_vpermx2b_u256
# WAsm SIMD
- name: xnn_x8_lut_ukernel__wasmsimd_u16
- name: xnn_x8_lut_ukernel__wasmsimd_u32
- name: xnn_x8_lut_ukernel__wasmsimd_u48
- name: xnn_x8_lut_ukernel__wasmsimd_u64
# WAsm Relaxed SIMD
- name: xnn_x8_lut_ukernel__wasmpshufb_u16
- name: xnn_x8_lut_ukernel__wasmpshufb_u32
- name: xnn_x8_lut_ukernel__wasmpshufb_u48
- name: xnn_x8_lut_ukernel__wasmpshufb_u64
